.navbar {
    width: 100%;
    height: auto;
    background-color: #0F0F0F;
    display: flex;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    border-bottom: solid .5px #505358;
    z-index: 1000;
    opacity: 0;
    overflow: visible;
}

.navbar .navbar-container {
    width: 100%;
    max-width: 1500px;
    height: auto;
    min-height: 67.5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0px 25px;
    border-left: solid .5px #505358;
    border-right: solid .5px #505358;
    overflow: visible;
    position: relative;
}

/* menu button */
.navbar-container .nav-menu-btn {
    width: auto;
    height: 100%;
    display: none;
    align-items: center;
    gap: 12px;
    background: transparent;
    border: none;
    padding: 25px 0px 25px 25px;
    border-left: solid .5px #505358;
    color: #D5DFEF;
    font-family: var(--font-secondary);
    font-size: 14px;
    cursor: pointer;
}

.nav-menu-btn i {
    color: #BBC2CC;
    font-size: 16px;
    display: none;
}

/* sparkles */
.navbar .navbar-container::before,
.navbar .navbar-container::after {
    content: '';
    width: 24px;
    height: 30px;
    background: url('/assets/img/artwork/decorations/sparkle.svg') no-repeat center/contain;
    position: absolute;
    bottom: -15px;
    z-index: 100;
}

.navbar .navbar-container::before {
    left: -12px;
}

.navbar .navbar-container::after {
    right: -12px;
}

/* logo */
.navbar-container .logo-container {
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.logo-container .nav-logo {
    width: 20px;
    height: 20px;
    background: url('https://krzheski.me/assets/img/branding/nk-logo.svg') no-repeat center/contain;
    opacity: 0;
    transition: transform .5s ease;
}

.logo-container .nav-logo:hover {
    transform: scale(1.8) !important;
}

.logo-container .wordmark {
    font-family: var(--font-secondary);
    font-weight: normal;
    font-size: 16px;
    color: #B7B7B7;
}

/* links */
.navbar-container .nav-links {
    width: auto;
    height: auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 5px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.nav-links .nav-link {
    width: auto;
    height: auto;
    background-color: transparent;
    display: flex;
    justify-content: center;
    position: relative;
    padding: 10px;
    overflow: hidden;
    text-decoration: none;
    opacity: 0;
}

.nav-link .nav-link-label {
    font-family: var(--font-secondary);
    font-weight: normal;
    font-size: 14px;
    color: #D5DFEF;
    text-transform: capitalize;
    text-decoration: none;
}

.nav-links .nav-link:hover .nav-link-label {
    color: #D5DFEF;
}

/* book a call button */
.navbar-container .book-a-call-btn {
    width: auto;
    height: 100%;
    background-color: transparent;
    border: none;
    padding: 25px 0px 25px 25px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
    border: none;
    border-left: solid .5px #505358;
    outline: none;
    cursor: pointer;
}

.book-a-call-btn .btn-label {
    font-family: var(--font-secondary);
    font-weight: normal;
    font-size: 14px;
    color: #D5DFEF;
    text-transform: capitalize;
}

.book-a-call-btn i {
    color: #BBC2CC;
    font-size: 16px;
}

/* Hide links/CTA and show menu on small screens */
@media screen and (max-width: 700px) {

    .navbar-container .nav-links,
    .navbar-container .book-a-call-btn {
        display: none;
    }

    .navbar-container .nav-menu-btn {
        display: inline-flex;
    }
}